GET /api/internal/v1/partners/:partner_id/bookings
Path Parameters
Query Parameters
Return bookings with a start date >= given date. Format: Y-m-d
Return bookings with a start date <= given date. Format: Y-m-d
Filter bookings by the start date. Format: Y-m-d
Filter bookings by venue ID.
The number of records to return per page.
GET /api/internal/v1/partners/:partner_id/bookings/:booking_id
Get the given booking.
Path Parameters
Create venue booking
POST /api/internal/v1/partners/:partner_id/bookings/venues
Create a main booking with one or many venue bookings attached.
Path Parameters
The ID of the booked venue.
The ID of the discount, if any.
Number of places occupied.
When the booking starts. Y-m-d H:i:s
When the booking ends. Y-m-d H:i:s
venues.*.use_manual_proice
Indicate if a manual price should be used.
venues.*.manual_price_vat_id
The VAT ID to be applied to the manual price.
venues.*.manual_price_amount_gross
The gross amount of the manual price.
Get event bookings
GET /api/internal/v1/partners/:partner_id/bookings/events
Path Parameters
Create event booking
POST /api/internal/v1/partners/:partner_id/bookings/events
Path Parameters
events.*.use_manual_price
Required if a manual price is not used.
events.*.manual_price_vat_id
Required if a manual price is used.
events.*.manual_price_amount_gross
Required if a manual price is used.
Get event booking
GET /api/internal/v1/partners/:partner_id/bookings/events/:event_booking_id
Path Parameters
The ID of the event booking.
Update event booking
PUT /api/internal/v1/partners/:partner_id/bookings/events/:event_booking_id
Update a single EventBooking.
Path Parameters
Required if a manual price is not used.
Required if a manual price is used.
manual_price_amount_gross
Require if a manual price is used
Get inventory product bookings
GET /api/internal/v1/partners/:partner_id/bookings/inventory-products
Path Parameters
Query Parameters
Filter results by customer or inventory product name.
inventory_product_facility_id
Not implemented yet. Format: Y-m-d
Not implemented yet. Format: Y-m-d
customer_organization_type
Not implemented yet. Filter by booking statuses.
Get inventory product booking
GET /api/internal/v1/partners/:partner_id/bookings/inventory-products/:inventory_product_booking_id
Get the given inventory product booking.
Path Parameters
inventory_product_boking_id
The ID of the inventory product booking.
Create inventory product booking
POST /api/internal/v1/partners/:partner_id/bookings/inventory-products
Path Parameters
The ID of the customer who is booking.
The ID of the payment type.
inventory_products.*.inventory_product_id
The ID of the inventory product that will be booked.
inventory_products.*.discount_id
The ID of the discount to apply. Ignored when a manual price is used.
inventory_products.*.units
The number of inventory products booked.
inventory_products.*.starts_at
Date-time (Y-m-d H:i:s) when the booking of the product starts.
inventory_products.*.ends_at
Date-time (Y-m-d H:i:s) when the booking of the product ends.
inventory_products.*.use_manual_price
Indicate if a manual price should be used.
inventory_products.*.manual_price_amount_gross
The gross amount of the manual price.
inventory_products.*.manual_price_vat_id
The ID of the VAT to use for the manual price.
Update inventory product booking
PUT /api/internal/v1/partners/:partner_id/bookings/inventory-products/:inventory_product_booking_id
Path Parameters
inventory_product_booking_id
The ID of the inventory product booking.
manual_price_amount_gross
DELETE /api/internal/v1/partners/:partner_id/bookings/:booking_id
Path Parameters
Get booking statuses
GET /api/internal/v1/partners/:partner_id/bookings/statuses
Get all the available booking statuses.
Path Parameters